#include<stdio.h>
int main(){
	long long int n,m;
	scanf("%lld %lld",&n,&m);
	long long int a[n][m];
	long long int x=0;
	for(int i=0;i<n;i++){
		for(int j=0;j<m;j++){
			if(i==0 || i==n-1)x=x+1;
			else if(j==0 || j==m-1)x=x+1;
			else if (i%2==1 && j%2==0)x=x+1;
			else if (i%2==0 && j%2==1)x=x+1;
		}
	}
	printf("%lld",x);
	return 0;
}